FreeDesktop.DBusObject – librygel-core Reference Manual

# DBusObject

## Object Hierarchy:

## Description:

public interface DBusObject : `Object`
Namespace: FreeDesktop
Package: librygel-core

## Content:

### Methods:

- public abstract async `string`[] list_names () throws `DBusError`
- public abstract async `string`[] list_activatable_names () throws `DBusError`

### Signals:

- public signal void name_owner_changed (`string` name, `string` old_owner, `string` new_owner)

### Inherited Members:

All known members inherited from class GLib.Object

- @new
- newv
- new_valist
- get_type
- get_class
- @ref
- unref
- ref_sink
- weak_ref
- weak_unref
- add_weak_pointer
- remove_weak_pointer

- @get
- @set
- get_property
- set_property
- get_data
- set_data
- set_data_full
- steal_data
- get_qdata
- set_qdata
- set_qdata_full
- steal_qdata

- freeze_notify
- thaw_notify
- dispose
- constructed
- notify_property
- connect
- disconnect
- add_toggle_ref
- remove_toggle_ref
- bind_property
- notify
- ref_count